Part Plane: Difference between revisions

From FreeCAD Documentation
(Reduced Usage paragraph to link to Part_Primitives.)
Line 32: Line 32:
== Usage == <!--T:8-->
== Usage == <!--T:8-->


See [[Part_Primitives#Usage|Part Primitives]].
=== Create ===

# There are several ways to invoke the [[Part_Primitives|Part Primitives]] command:
#* Press the {{Button|[[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]]}} button.
#* Select the {{MenuCommand|Part → Create Primitives → [[Image:Part_Primitives.svg|16px]] Create Primitives...}} option from the menu.
# The {{MenuCommand|Geometic Primitives}} task panel opens.
# Select the {{MenuCommand|[[Image:Part_Plane.svg|16px]] Plane}} option from the dropdown list.
# Specify the properties.
# Press the {{Button|Create}} button.
# The plane is created.
# The task panel stays open.
# Optionally create additional planes or other primitives.
# Press the {{Button|Close}} button to close the task panel and finish the command.

=== Edit ===

See [[Part_Primitives#Edit|Part Primitives]].


== Example ==
== Example ==

Revision as of 08:11, 2 March 2022

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Part Plane

Menu location
Part → Create primitives → Plane
Workbenches
Part
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

A Part Plane is a parametric rectangular plane that can be created with the Part Primitives command. In the coordinate system defined by its DataPlacement property, the plane lies on the XY plane with its front left corner at the origin, and its front edge parallel to the X axis.

Usage

See Part Primitives.

Example

Part Plane from the scripting example

A Part Plane object created with the scripting example below is shown here.

Properties

See also: Property editor.

A Part Plane object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Plane

  • DataLength (Length): The length of the plane. This is the dimension in its X direction. The default is 10mm.
  • DataWidth (Length): The width of the plane. This is the dimension in its Y direction. The default is 10mm.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Plane can be created with the addObject() method of the document:

plane = FreeCAD.ActiveDocument.addObject("Part::Plane", "myPlane")
  • Where "myPlane" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

plane = doc.addObject("Part::Plane", "myPlane")
plane.Length = 4
plane.Width = 8
plane.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(20, 75, 60))

doc.recompute()